out Data {
    vec2 lmcoord;
    vec2 texcoord;
    vec4 glcolor;
    flat uint Material;
    flat mat3 TBN;
    vec3 ViewPos;
} DataOut;

attribute vec4 mc_Entity;
attribute vec4 at_tangent;
attribute vec2 mc_midTexCoord;

void init_generic() {
    gl_Position = ftransform();
    #if AA_MODE == 2
    gl_Position.xy += taaJitter * gl_Position.w;
    #endif
    DataOut.texcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
    DataOut.lmcoord = (gl_TextureMatrix[1] * gl_MultiTexCoord1).xy;
    DataOut.lmcoord = max(DataOut.lmcoord * 1.06667 - 0.0625, 0);
    DataOut.glcolor = gl_Color;
    DataOut.Material = uint(mc_Entity.x - 10000.0);
    DataOut.TBN[0] = normalize(gbufferModelView[0].xyz);
    DataOut.TBN[1] = normalize(gbufferModelView[2].xyz);
    DataOut.TBN[2] = normalize(gl_NormalMatrix * gl_Normal);

    DataOut.ViewPos = (gl_ModelViewMatrix * gl_Vertex).xyz;
}
